Subject: Re: bug#19230: Help! grepV2.21 treats ISO-8859 text files as if they are binary

From: Bob Proulx <[email-masked]>
Date: Mon, 1 Dec 2014 12:45:14 -0700

Hans Pelleboer wrote:
> Paul Eggert wrote:
> >Hans Pelleboer wrote:
> > > I was wondering what can be done to compile grep in such a way,
> > > that it processes all text files, no matter what way they are encoded.
> >
> >You don't need to recompile; you can just use 'grep -a'.
>
> I was referring to the default behaviour, as it used to be, without extra
> flags

I apologize for having no time to check myself.  What is the behavior
if you set the locale back to C/POSIX for grep?

  env LC_ALL=C grep someencodedfile

Bob